Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1160913 - Update to cups 1.7.5-11 results in "Filter failed" when printing a test page
Update to cups 1.7.5-11 results in "Filter failed" when printing a test page
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-05 19:06 EST by Rob Whalley
Modified: 2015-06-29 19:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 19:09:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log from Raspberry Pi (8.85 KB, text/plain)
2014-11-05 19:06 EST, Rob Whalley
no flags Details
PPD file used (13.22 KB, text/plain)
2014-11-05 19:07 EST, Rob Whalley
no flags Details
Error log from Raspberry Pi with debugging (102.32 KB, text/plain)
2014-11-06 13:31 EST, Rob Whalley
no flags Details
Error log from Fedora 20 workstation with debugging (189.09 KB, text/plain)
2014-11-06 13:31 EST, Rob Whalley
no flags Details
clients-server CUPS logs (11.82 KB, application/x-7z-compressed)
2014-12-22 10:43 EST, Germano Massullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 4494 None None None Never

  None (edit)
Description Rob Whalley 2014-11-05 19:06:55 EST
Created attachment 954249 [details]
Error log from Raspberry Pi

Description of problem:
Since the latest update to cups (and cups-filesystem, cups-libs), attempts to print to a Brother HL-2035 connected to a Raspberry Pi running Pidora fail. Please note that while it's possible there is some kind of mismatch in the version of cups running on the Pi, downgrading the version of cups of the Fedora 20 workstation resolves the issue.

Version-Release number of selected component (if applicable):
cups 1.7.5-11.fc20

How reproducible:
Easily reproducible by using yum to update to 1.7.5-11 and trying to print a test page (or print from an application).

Steps to Reproduce:
1. Upgrade cups package to 1.7.5-11
2. Restart cups with systemctl restart cups, or reboot workstation
3. Print test page

Actual results:
If you connect to the cups server on the Raspberry Pi via a browser, the error is shown as: stopped "Filter failed"

In the Pi's /var/log/cups/error_log file (also attached), the following can be seen:
Cannot process "<STDIN>": Unknown filetype.
Process is dying with "Could not print file <STDIN>


Expected results:
For print job to be successfully processed as per previous versions of the cups packages.

Additional info:
The Raspberry Pi is running cups 1.7.2-1.fc20.
Downgrading the version of cups on the Fedora workstation (to 1.7.0-4.fc20) resolves the problem. 
Will also attach the ppd file used, as the openprinting.org website where it was retrieved from originally is running very slowly at present.
Comment 1 Rob Whalley 2014-11-05 19:07:50 EST
Created attachment 954250 [details]
PPD file used
Comment 2 Tim Waugh 2014-11-06 06:39:59 EST
I need to see two things:

1. Error logs from both machines:

On both machines, do this:

su -c 'cupsctl --debug-logging'

Make sure both machines are synchronised to the same time, to allow cross-reference their error_log files with each other.

Then please submit a print job from the Fedora machine.

Now turn off debug logging. To do that, run the following command on both machines:

su -c 'cupsctl --no-debug-logging'

Finally, attach both error_log files. Thanks.

2. Which system is using that PPD file? Just the Pidora one, or both?
Comment 3 Rob Whalley 2014-11-06 13:31:22 EST
Created attachment 954576 [details]
Error log from Raspberry Pi with debugging
Comment 4 Rob Whalley 2014-11-06 13:31:57 EST
Created attachment 954577 [details]
Error log from Fedora 20 workstation with debugging
Comment 5 Rob Whalley 2014-11-06 13:38:14 EST
Hi Tim, many thanks for your assistance, I've attached the requested logs.

I can confirm the times on the machines are synchronised and that the PPD file in use is the same on both machines.
Comment 6 Tim Waugh 2014-11-18 09:39:57 EST
Upstream report linked.
Comment 7 Tim Waugh 2014-11-18 09:45:25 EST
To avoid this problem, set one or other queue to be raw.
Comment 8 Rob Whalley 2014-11-19 03:15:26 EST
Hi Tim, thanks for looking into this one. I've set the queue on the workstation to raw and can confirm that printing a test page now works as expected.
Comment 9 Germano Massullo 2014-12-22 10:42:44 EST
My shared printer used to print successfully, but not now. It seems that my problem is the same of this bugreport.
-------------
|CUPS Server|
-------------
Fedora 20, HP Officejet Pro K8600 installed by HPlip-gui and shared through CUPS (share connected printers)

# rpm -qa cups*
cups-1.7.5-11.fc20.x86_64
cups-filters-1.0.53-5.fc20.x86_64
cups-filters-libs-1.0.53-5.fc20.x86_64
cups-pk-helper-0.2.5-2.fc20.x86_64
cups-libs-1.7.5-11.fc20.i686
cups-libs-1.7.5-11.fc20.x86_64
cups-filesystem-1.7.5-11.fc20.noarch


# rpm -qa hplip*
hplip-common-3.14.10-1.fc20.x86_64
hplip-gui-3.14.10-1.fc20.x86_64
hplip-3.14.10-1.fc20.x86_64
hplip-libs-3.14.10-1.fc20.x86_64


----------
|Clients|
----------
A machine with Fedora 20 and a machine with Fedora 21.
When you click "Add printer" in Fedora print manager utility, in the various options I can see the shared printer that the system found out using dnssd.
I add it and as driver for my printer I have two options: hpjis and hpcups.
I have tried both of them, they both fail but in a little different way:

===hpjis===
The address of the printer installed with hpjis drivers is:
dnssd://Officejet_Pro_K8600%20%40%20computer._printer._tcp.local/
When I try to print I obtain error message:"Printer not available"

===hpcups===
The address of the printer installed with hpcups drivers is:
dnssd://Officejet_Pro_K8600%20%40%20computer._ipp._tcp.local/cups
When I try to print I obtain error message:"Filter failed" 


Sometimes I obtain other errors, like: "Can't detect filetype"

I enabled debug mode on both client and server and made a 7z containing logs
Comment 10 Germano Massullo 2014-12-22 10:43:26 EST
Created attachment 972072 [details]
clients-server CUPS logs
Comment 11 Tim Waugh 2014-12-22 11:25:36 EST
Everyone who sees this problem: you can avoid it by only performing job transformation at the server. Do this by setting the client queues to 'raw'.
Comment 12 Germano Massullo 2014-12-22 11:28:44 EST
(In reply to Tim Waugh from comment #11)
> Everyone who sees this problem: you can avoid it by only performing job
> transformation at the server. Do this by setting the client queues to 'raw'.

I cannot find that option
Comment 13 Rob Whalley 2014-12-22 13:30:23 EST
I found it useful to have the following packages installed: gutenprint-foomatic system-config-printer.

After installation, run system-config-printer, then try the following (you may be prompted to enter the root password during this process):
Double click on the printer to amend > Settings > Make and model > Change... > Select printer from database > Choose the "Generic" make > Choose the "Raw Queue" option > Use the new PPD as is > Apply.

There are probably many ways of achieving this, but the above worked for me, hope it helps.
Comment 14 Fedora End Of Life 2015-05-29 09:13:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 19:09:59 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.